%define PACKAGE_NAME pyrite
Summary: Palm Computing(R) platform communication kit for Python
Name: %{PACKAGE_NAME}
Version: 0.6.1
Release: 1
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
Copyright: GPL
Group: Development/Libraries
Source: http://www.concentric.net/~n9mtb/cq/dist/%{PACKAGE_NAME}-%{PACKAGE_VERSION}.tar.gz
Patch: http://www.concentric.net/~n9mtb/cq/dist/%{PACKAGE_NAME}_%{PACKAGE_VERSION}-1.diff.gz
Requires: python >= 1.5, pilot-link >= 0.8.11
BuildArchitectures: i386
BuildRoot: /var/tmp/%{PACKAGE_NAME}-root
URL: http://www.concentric.net/~n9mtb/cq/pyrite/pyrite.html

%description
Pyrite is an extension package for the Python programming
language which allows access to Palm Computing platform connected
organizers (such as the PalmIII(tm) and PalmPilot(tm) devices
made by 3Com).  Pyrite provides a high-level, object-oriented,
extensible interface to data both on the handheld and on the local
system.

Pyrite includes a set of classes which provide access to
local and remote Palm OS(tm) databases, with support for applications
including Address, Datebook, Memo, To Do, MoneyManager, Doc,
and XWord.  It also includes a conduit management API and a
set of basic conduits.

Pyrite should be considered "stable beta" software -- it
works, but is still under active development and new features
are being added on a regular basis.

%changelog

* Wed Apr 7 1999 Dean Brettle <dean@brettle.com>

- Initial RPM.

%prep

%setup
%patch0 -p1

./configure

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

PP_DIR=usr/lib/python1.5/site-packages/PDA/Palm
PP_REL=../lib/python1.5/site-packages/PDA/Palm

mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin

ln -s ${PP_REL}/util/configsetup.py $RPM_BUILD_ROOT/usr/sbin/pyriteconfig
ln -s ${PP_REL}/util/install.py $RPM_BUILD_ROOT/usr/bin/pp-install
ln -s ${PP_REL}/util/sync.py $RPM_BUILD_ROOT/usr/bin/pp-sync
ln -s ${PP_REL}/util/palmuser.py $RPM_BUILD_ROOT/usr/sbin/pp-userconfig

chmod 755 $RPM_BUILD_ROOT/${PP_DIR}/util/configsetup.py
chmod 755 $RPM_BUILD_ROOT/${PP_DIR}/util/fetchusa.py
chmod 755 $RPM_BUILD_ROOT/${PP_DIR}/util/sync.py
chmod 755 $RPM_BUILD_ROOT/${PP_DIR}/util/install.py
chmod 755 $RPM_BUILD_ROOT/${PP_DIR}/util/palmuser.py
chmod 755 $RPM_BUILD_ROOT/${PP_DIR}/util/pdbdiff.py


#documentation
#note: the documentation isn't made here, because pre-built docs
#are part of the source package.

mkdir -p $RPM_BUILD_ROOT/usr/doc/pyrite/{html,sgml}

gzip debian/changelog
cp debian/{copyright,changelog.gz} $RPM_BUILD_ROOT/usr/doc/pyrite

cp README $RPM_BUILD_ROOT/usr/doc/pyrite

gzip doc/NEWS
cp doc/{INSTALL,NEWS.gz,announce.txt} $RPM_BUILD_ROOT/usr/doc/pyrite

cp doc/prg/html/* $RPM_BUILD_ROOT/usr/doc/pyrite/html

gzip doc/prg/*.sgml doc/prg/prg.dvi
cp doc/prg/prg.dvi.gz doc/prg/prg.ps.gz $RPM_BUILD_ROOT/usr/doc/pyrite
cp doc/prg/*.sgml.gz doc/prg/*.ent doc/prg/Makefile $RPM_BUILD_ROOT/usr/doc/pyrite/sgml

mkdir -p $RPM_BUILD_ROOT/usr/man/man1

gzip debian/*.1
for f in debian/*.1.gz; do 
	cp $f $RPM_BUILD_ROOT/usr/man/man1
done

# Find all the files for the base package.
find \
	$RPM_BUILD_ROOT \
	-type f -o -type l | sort | uniq -u > %{PACKAGE_NAME}.base.files

set +x
# Adjust any scripts listed in any of the files and remove
# $RPM_BUILD_ROOT from all the filenames
for n in %{PACKAGE_NAME}.*.files; do
	for f in `cat $n`; do
		if [ ! -L $f ]; then
	        	if head -1 $f | grep '#!'; then
        	        	cp -a $f $f.in
	        	        sed -e "s|$RPM_BUILD_ROOT||" < $f.in > $f
				rm -f $f.in
			fi
	        fi
	done

	mv $n $n.in
	sed "s|.*/usr|/usr|" < $n.in | while read file; do
	    if [ -d $RPM_BUILD_ROOT/$file ]; then
		echo -n '%dir '
	    fi
	    echo $file
	done > $n
done
set -x

%post 
python -O /usr/lib/python1.5/compileall.py \
	/usr/lib/python1.5/site-packages/PDA > /dev/null
python /usr/lib/python1.5/compileall.py \
	/usr/lib/python1.5/site-packages/PDA > /dev/null

%postun 

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{PACKAGE_NAME}.base.files
%defattr(-,root,root)
%doc 

